<?php
// Valideer de invoer
$foutmeldingen = "";
if (!isset($_POST['naam']) or empty($_POST['naam')) {
    $foutmeldingen .= "<li>Vul een naam in</li>\n";
};
if (!isset($_POST['sekse']) or empty($_POST['sekse')) {
    $foutmeldingen .= "<li>Vul een sekse in</li>\n";
};
if (!isset($_POST['geboortedatum']) or empty($_POST['geboortedatum')) {
    $foutmeldingen .= "<li>Vul een geboortedatum in</li>\n";
};
if (!isset($_POST['gewicht']) or empty($_POST['gewicht')) {
    $foutmeldingen .= "<li>Vul een gewicht in</li>\n";
};
if (!isset($_POST['opmerkingen'])) {
    $foutmeldingen .= "<li>Gebruik het juiste HTML formulier
       	om je levensverwachting op te vragen.</li>\n";
};

if ($foutmeldingen == "") {
    // Alles is goedgegaan: maak de resultaatpagina    
    $naam = $_POST['naam'];
    $sekse = $_POST['sekse'];
    $geboortedatum = $_POST['geboortedatum'];

    sscanf( $geboortedatum, "%d-%d-%d", $dag, $maand, $jaar);

    $gewicht = $_POST['gewicht'];
    $g_factor = rand( -$gewicht/4, $gewicht/4);

    $opmerkingen = $_POST['opmerkingen'];

    if ($sekse == 'man') {
	$levensverwachting = 78 + $g_factor;
    } else {
	$levensverwachting = 82 + $g_factor;
    };

    $jaren_over = ($jaar + $levensverwachting) - date('Y');
?>
<html>
    <head>
	<title>Je levensverwachting</title>
    </head>
    <body>
	<p>Beste <?php echo $naam; ?>,<br>
	<br>
	je levensverwachting is <?php echo $levensverwachting; ?>. 
	Je hebt dus nog <?php echo $jaren_over; ?> jaren te leven.
	</p>
	<?php 
    if ($opmerkingen == "") {
?>	
	<p><i>Je hebt geen opmerkingen</i></p>
<?php 
    } else {
?>
	<blockquote><?php echo $opmerkingen; ?></blockquote>
<?php
    };
?>
    </body>
</html>
<?php 
} else {
    // Fout bij validatie, geef een foutpagina terug
?>
<html>
    <head>
	<title>FOUT</title>
    </head>
    <body>
	<h2>Fouten:</h2>
	<ul>
	    <?php echo $foutmeldingen; ?>
	</ul>
    </body>
</html>
<?php
};
?>
